package com.steering.pss.sale.order.qualityDesign.model;

public class SlmOrdDesignStdGicEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 加工索引号
	 */
	private String gic = "";
	/**
	 * 协议或Alpha代码(用途码)
	 */
	private String useCode = "";
	/**
	 * 协议或Alpha描述(用途描述)
	 */
	private String useDesc = "";
	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 */
	private String speclFl = "";
	/**
	 * 序号
	 */
	private String xh = "";
	/**
	 * 工序代码
	 */
	private String processCdoe = "";
	/**
	 * 工序名称
	 */
	private String processDesc = "";
	/**
	 * 二级工序代码
	 */
	private String processCdoeC = "";
	/**
	 * 二级工序名称
	 */
	private String processDescC = "";
	/**
	 * 工序点代码(工序='加工线' and工序点类型='403208')
	 */
	private String stationCode = "";
	/**
	 * 工序点名称
	 */
	private String stationDesc = "";
	/**
	 * 值（文本型的）
	 */
	private String valueText = "";
	/**
	 * 值（数值型的）
	 */
	private String valueNum = "";
	/**
	 * 值（对值的追加说明）
	 */
	private String valueMemo = "";
	/**
	 * 分组索引号(同一分组的为多选一项)
	 */
	private String groupSeq = "";
	/**
	 * 备注
	 */
	private String memo = "";
	private String minD = "";
    private String maxD = "";
    private String minH = "";
    private String maxH = "";
	private String minDSign = "";
    private String maxDSign = "";
    private String minHSign = "";        
    private String maxHSign = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 加工索引号
	 * 
	 * @return value
	 */
	public String getGic() {
		return gic;
	}

	/**
	 * 加工索引号
	 * 
	 * @param gic
	 *            value
	 */
	public void setGic(String gic) {
		this.gic = gic;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @return value
	 */
	public String getUseCode() {
		return useCode;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @param useCode
	 *            value
	 */
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @return value
	 */
	public String getUseDesc() {
		return useDesc;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @param useDesc
	 *            value
	 */
	public void setUseDesc(String useDesc) {
		this.useDesc = useDesc;
	}

	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 * 
	 * @return value
	 */
	public String getSpeclFl() {
		return speclFl;
	}

	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 * 
	 * @param speclFl
	 *            value
	 */
	public void setSpeclFl(String speclFl) {
		this.speclFl = speclFl;
	}

	/**
	 * 序号
	 * 
	 * @return value
	 */
	public String getXh() {
		return xh;
	}

	/**
	 * 序号
	 * 
	 * @param xh
	 *            value
	 */
	public void setXh(String xh) {
		this.xh = xh;
	}

	/**
	 * 工序代码
	 * 
	 * @return value
	 */
	public String getProcessCdoe() {
		return processCdoe;
	}

	/**
	 * 工序代码
	 * 
	 * @param processCdoe
	 *            value
	 */
	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 二级工序代码
	 * 
	 * @return value
	 */
	public String getProcessCdoeC() {
		return processCdoeC;
	}

	/**
	 * 二级工序代码
	 * 
	 * @param processCdoeC
	 *            value
	 */
	public void setProcessCdoeC(String processCdoeC) {
		this.processCdoeC = processCdoeC;
	}

	/**
	 * 二级工序名称
	 * 
	 * @return value
	 */
	public String getProcessDescC() {
		return processDescC;
	}

	/**
	 * 二级工序名称
	 * 
	 * @param processDescC
	 *            value
	 */
	public void setProcessDescC(String processDescC) {
		this.processDescC = processDescC;
	}

	/**
	 * 工序点代码(工序='加工线' and工序点类型='403208')
	 * 
	 * @return value
	 */
	public String getStationCode() {
		return stationCode;
	}

	/**
	 * 工序点代码(工序='加工线' and工序点类型='403208')
	 * 
	 * @param stationCode
	 *            value
	 */
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	}

	/**
	 * 工序点名称
	 * 
	 * @return value
	 */
	public String getStationDesc() {
		return stationDesc;
	}

	/**
	 * 工序点名称
	 * 
	 * @param stationDesc
	 *            value
	 */
	public void setStationDesc(String stationDesc) {
		this.stationDesc = stationDesc;
	}

	/**
	 * 值（文本型的）
	 * 
	 * @return value
	 */
	public String getValueText() {
		return valueText;
	}

	/**
	 * 值（文本型的）
	 * 
	 * @param valueText
	 *            value
	 */
	public void setValueText(String valueText) {
		this.valueText = valueText;
	}

	/**
	 * 值（数值型的）
	 * 
	 * @return value
	 */
	public String getValueNum() {
		return valueNum;
	}

	/**
	 * 值（数值型的）
	 * 
	 * @param valueNum
	 *            value
	 */
	public void setValueNum(String valueNum) {
		this.valueNum = valueNum;
	}

	/**
	 * 值（对值的追加说明）
	 * 
	 * @return value
	 */
	public String getValueMemo() {
		return valueMemo;
	}

	/**
	 * 值（对值的追加说明）
	 * 
	 * @param valueMemo
	 *            value
	 */
	public void setValueMemo(String valueMemo) {
		this.valueMemo = valueMemo;
	}

	/**
	 * 分组索引号(同一分组的为多选一项)
	 * 
	 * @return value
	 */
	public String getGroupSeq() {
		return groupSeq;
	}

	/**
	 * 分组索引号(同一分组的为多选一项)
	 * 
	 * @param groupSeq
	 *            value
	 */
	public void setGroupSeq(String groupSeq) {
		this.groupSeq = groupSeq;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	public String getMinD() {
		return minD;
	}

	public void setMinD(String minD) {
		this.minD = minD;
	}

	public String getMaxD() {
		return maxD;
	}

	public void setMaxD(String maxD) {
		this.maxD = maxD;
	}

	public String getMinH() {
		return minH;
	}

	public void setMinH(String minH) {
		this.minH = minH;
	}

	public String getMaxH() {
		return maxH;
	}

	public void setMaxH(String maxH) {
		this.maxH = maxH;
	}

	public String getMinDSign() {
		return minDSign;
	}

	public void setMinDSign(String minDSign) {
		this.minDSign = minDSign;
	}

	public String getMaxDSign() {
		return maxDSign;
	}

	public void setMaxDSign(String maxDSign) {
		this.maxDSign = maxDSign;
	}

	public String getMinHSign() {
		return minHSign;
	}

	public void setMinHSign(String minHSign) {
		this.minHSign = minHSign;
	}

	public String getMaxHSign() {
		return maxHSign;
	}

	public void setMaxHSign(String maxHSign) {
		this.maxHSign = maxHSign;
	}
}
